Ativa o menu
Toggle preferences menu
Alternar menu pessoal
Não autenticado(a)
Your IP address will be publicly visible if you make any edits.

Predefinição:Card hover name/styles.css: mudanças entre as edições

De Runas & Campeões
Criou página com '#home-nav { margin-top: 1rem; } #home-nav .home-card__background:after { position: absolute; pointer-events: none; top: 0; right: 0; bottom: 0; left: 0; display: block; background: linear-gradient(to right, #000, transparent); content: ""; } #home-nav .home-card__foreground { pointer-events: none; height: 100%; width: 100%; display: flex; align-items: center; padding: 0 15px; color: #fff; font-weight: 500; } .home-card { position: relative; padding...'
 
mSem resumo de edição
Etiqueta: Reversão manual
 
(18 revisões intermediárias pelo mesmo usuário não estão sendo mostradas)
Linha 1: Linha 1:
#home-nav {
.home-grid {
margin-top: 1rem;
display: grid;
}
grid: auto-flow dense/repeat(auto-fit,minmax(18rem,1fr));
 
grid-auto-rows: minmax(4.5rem,auto);
#home-nav .home-card__background:after {
grid-gap: 0.625rem;
position: absolute;
pointer-events: none;
top: 0;
right: 0;
bottom: 0;
left: 0;
display: block;
background: linear-gradient(to right, #000, transparent);
content: "";
}
 
#home-nav .home-card__foreground {
pointer-events: none;
height: 100%;
width: 100%;
display: flex;
align-items: center;
padding: 0 15px;
color: #fff;
font-weight: 500;
}
}


Linha 33: Linha 13:
box-shadow: 0 3px 6px rgba(0, 0, 0, 0.04), 0 3px 6px rgba(0, 0, 0, 0.0575);
box-shadow: 0 3px 6px rgba(0, 0, 0, 0.04), 0 3px 6px rgba(0, 0, 0, 0.0575);
font-size: 0.875rem;
font-size: 0.875rem;
display: flex;
align-items: flex-end;
transition: 0.4s ease-out;
}
}


Linha 52: Linha 35:
}
}


.home-card__foreground {
#home-nav .home-card__foreground {
position: absolute;
pointer-events: none;
height: 50%;
width: 100%;
display: flex;
align-items: center;
padding: 0 15px;
color: #fff;
font-weight: 500;
}
}


.home-card__foreground .home-card__label {
.home-card__foreground {
color: #bababa;
position: relative;
}
z-index: 3;
 
color: white;
.home-card__foreground .home-card__header {
opacity: 1;
color: #fff;
transform: translateY(00px);
transition: 0.5s;
}
}


Linha 96: Linha 87:
.home-card--button:hover img {
.home-card--button:hover img {
transform: scale(1.1);
transform: scale(1.1);
opacity: 1;
}
}

Edição atual tal como às 21h11min de 28 de novembro de 2024

.home-grid {
	display: grid;
	grid: auto-flow dense/repeat(auto-fit,minmax(18rem,1fr));
	grid-auto-rows: minmax(4.5rem,auto);
	grid-gap: 0.625rem;
}

.home-card {
	position: relative;
	padding: 15px;
	background: var(--color-surface-1);
	border-radius: 8px;
	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.04), 0 3px 6px rgba(0, 0, 0, 0.0575);
	font-size: 0.875rem;
	display: flex;
	align-items: flex-end;
	transition: 0.4s ease-out;
}

.home-card__background {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: #242a31;
	border-radius: 8px;
}

.home-card__background img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}

#home-nav .home-card__foreground {
	pointer-events: none;
	height: 50%;
	width: 100%;
	display: flex;
	align-items: center;
	padding: 0 15px;
	color: #fff;
	font-weight: 500;
}

.home-card__foreground {
	position: relative;
	z-index: 3;
	color: white;
	opacity: 1;
	transform: translateY(00px);
	transition: 0.5s;
}

.home-card p {
	margin-top: 0.2rem;
	font-size: 0.875rem;
}

.home-card.home-card--button {
	overflow: hidden;
	padding: 0;
	background: #242a31;
}

.home-card--button a {
	display: flex;
	height: 100%;
	justify-content: center;
	align-items: center;
	padding: 0 15px;
	background: transparent;
	color: #fff;
	font-weight: 500;
}

.home-card--button .home-card__background a {
	padding: 0;
}

.home-card--button img {
	transition: transform 0.2s ease;
}

.home-card--button:hover img {
	transform: scale(1.1);
	opacity: 1;
}